## com.thingmagic
Class Reader.GpioPin

    java.lang.Object
      com.thingmagic.Reader.GpioPin

Enclosing class:
  Reader

    public static class Reader.GpioPin

extends java.lang.Object

Field Summary
`boolean` `high`
`int` `id`
`boolean` `output`

Constructor Summary
`Reader.GpioPin(int id, boolean high)`
`Reader.GpioPin(int id, boolean high, boolean output)`

Method Summary
`boolean` `equals(java.lang.Object o)`
`int` `hashCode()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### id

    public final int id

### high

    public final boolean high

### output

    public final boolean output

Constructor Detail

### Reader.GpioPin

    public Reader.GpioPin(int id,
                          boolean high)

### Reader.GpioPin

    public Reader.GpioPin(int id,
                          boolean high,
                          boolean output)

Method Detail

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`